{
 BUSINESS CONSULTING
 s a i n t - p e t e r s b u r g

         Components Library for Borland Delphi 4.x - 6.x
         Copyright (c) 1998-2001 Alex'EM

}
unit DCConst;

interface
uses Messages;

resourcestring
  INFO_FMT_VER     = 'Windows %s %d.%2d (Build %d)';
  INFO_FMT_VERCSD  = 'Windows %s %d.%2d (Build %d: %s)';

  INFO_FMT_PROJECT = 'Version %d.%d (Build %d.%d)';
  INFO_FMT_SYSTEM  = '%s';
  INFO_FMT_MEMORY  = '  Windows: %39s';
  INFO_FMT_URL     = 'Copyright 1996-2001 %s';

  EDIT_STR_WHERE   = 'where';
  EDIT_STR_UNION   = 'union';
  EDIT_FQW_LOCATE  = 'where %s = ''%s''';
  EDIT_FQA_LOCATE  = '  and %s = ''%s''';
  EDIT_FNW_LOCATE  = 'where %s = %s';
  EDIT_FNA_LOCATE  = '  and %s = %s';
  EDIT_FQW_LIKE    = 'where %s like ''%s%%''';
  EDIT_FQA_LIKE    = '  and %s like ''%s%%''';

  EDIT_FMT_DEDATE  = '00|%0:s00|%0:s0000';                        // 8
  EDIT_FMT_DETIME  = '00|%0:s00|%0:s0000|a| 00|%1:s00|%1:s00';    // 14

const
  RES_MaxResourceIndex = 60000;
  { DCCalendar.pas      }
  RES_CALC_FMT_TODAY  = RES_MaxResourceIndex - 1;

  { DCChoice.pas        }
  RES_EDIT_ERR_WRONG  = RES_MaxResourceIndex - 2;
  RES_EDIT_ERR_EXCEPT = RES_MaxResourceIndex - 3;
  RES_EDIT_ERR_EMPTY  = RES_MaxResourceIndex - 4;
  RES_EDIT_ERR_DEC    = RES_MaxResourceIndex - 5;
  RES_EDIT_ERR_FLOAT  = RES_MaxResourceIndex - 6;
  RES_EDIT_ERR_CURR   = RES_MaxResourceIndex - 7;
  RES_EDIT_ERR_UNIQ   = RES_MaxResourceIndex - 8;
  RES_COMB_ERR_WRONG  = RES_MaxResourceIndex - 9;
  RES_DATE_ERR_WRONG  = RES_MaxResourceIndex - 10;
  RES_GRID_ERR_WRONG  = RES_MaxResourceIndex - 11;
  RES_GRID_ERR_LOCATE = RES_MaxResourceIndex - 12;
  RES_GRID_ERR_FIND   = RES_MaxResourceIndex - 13;

  { DCPopupWindow.pas   }
  RES_STRN_VAL_QUERY  = RES_MaxResourceIndex - 14;
  RES_STRN_VAL_FIND   = RES_MaxResourceIndex - 15;
  RES_STRN_VAL_PROP   = RES_MaxResourceIndex - 16;
  RES_STRN_VAL_PRINT  = RES_MaxResourceIndex - 17;

  { DCEditTools.psa     }
  RES_GRID_REC_ROOT   = RES_MaxResourceIndex - 18;
  RES_GRID_REC_VAL0   = RES_MaxResourceIndex - 19;
  RES_GRID_REC_VAL1   = RES_MaxResourceIndex - 20;
  RES_GRID_REC_VAL2   = RES_MaxResourceIndex - 21;

  { DCKnots.pas}
  RES_GRID_STR_MSEL   = RES_MaxResourceIndex - 22;
  RES_GRID_STR_SSEL   = RES_MaxResourceIndex - 23;

  { DCStringGrid.pas}
  RES_GRID_ERR_EMPTY  = RES_MaxResourceIndex - 24;
  RES_GRID_ERR_UNIQ   = RES_MaxResourceIndex - 25;
  RES_GRID_ERR_DEC    = RES_MaxResourceIndex - 26;
  RES_GRID_ERR_FLOAT  = RES_MaxResourceIndex - 27;
  RES_GRID_ERR_CURR   = RES_MaxResourceIndex - 28;
  RES_GRID_ERR_OPEN   = RES_MaxResourceIndex - 29;
  RES_TREE_ERR_WRONG  = RES_MaxResourceIndex - 30;

  { DCFileCtrl.pas}
  RES_FOLD_ERR_WRONG  = RES_MaxResourceIndex - 31;

  RES_STRN_VAL_CREATE = RES_MaxResourceIndex - 32;
  RES_STRN_VAL_CANCEL = RES_MaxResourceIndex - 33;
  RES_STRN_VAL_CLOSE  = RES_MaxResourceIndex - 34;

  RES_STRN_MSG_ONLOAD = RES_MaxResourceIndex - 35;
  RES_STRN_MSG_DBGCEM = RES_MaxResourceIndex - 36;

  RES_FOLD_ERR_NOTFLD = RES_MaxResourceIndex - 37;
  RES_BFLD_DBOCAPTION = RES_MaxResourceIndex - 38;

  RES_STRN_HNT_SELALL = RES_MaxResourceIndex - 39;
  RES_STRN_HNT_DESALL = RES_MaxResourceIndex - 40;
  RES_MASK_ERR_WRONG  = RES_MaxResourceIndex - 41;
  RES_STRN_MSG_GRPBOX = RES_MaxResourceIndex - 42;

  {GroupBox}
  RES_STRN_VAL_GRPBOX = RES_MaxResourceIndex - 43;

  CALC_BTN_WIDTH      = 14;
  DEFAULT_BTN_WIDTH   = 16;

  clSelected          = $00BD0000;
  clMessageWindow     = $00EFFFFF;
  clLite              = $00E6E6E6;
  clHintBackground    = $00DEFFFF;
  clHintNormal        = $00E1D7D7;
  clHintLight         = $00E1E3E3;
  clHintDark          = $00717373;
  clInvertMask        = $008FFFFF;
  clShadowed          = $00D5D5D5;
  clRowHighlight      = $007B5D5A;
  clTextHighlight     = $007BFFFF;
  clCaptionLightText  = $00E8EAEA;
  clCaptionDarkText   = $00C8C8C8;
  clSelectedRed       = $000000A7;
  clSelectedLight     = $00FFAAAA;
  clSelectedBlue      = $00A70000;
  clDragArrow         = $000000FF;
  clXPSelected        = $00D2BDB6;
  clXPDropDown        = $00B59285;
  clXPShadow          = $009D8D88;
  clXPImageBackground = $00D1D8DB;
  clXPDisabled        = $00A6A6A6;
  clXPItemBackground  = $00F7F8F9;
  clXPBorder          = $006A0A24;
  clXPSelectedLight   = $00CAB2A9;
  clLightBarrier      = $00909090;

  KNOT_BEGIN          = -01;
  KNOT_END            = -02;

  STGird_Empty_Code   = '$EC';
  STGird_Empty_Link   = '$EL';

  POPUP_MOVE_STEPX    = 10;
  POPUP_MOVE_STEPY    = 10;

  {   KillFocus}
  ERR_EDIT_NONE            = $0000;
  ERR_EDIT_EMPTYVALUE      = $ED01;
  ERR_COMBO_ILLIGALVALUE   = $ED02;
  ERR_DATE_INCORRECTDATE   = $ED03;
  ERR_GRID_ILLIGALVALUE    = $ED04;
  ERR_GRID_EXCEPTONLOCATE  = $ED05;
  ERR_GRID_EXCEPTONFIND    = $ED06;
  ERR_GRID_EXCEPTONOPEN    = $ED07;
  ERR_EDIT_INCORRECTDEC    = $ED08;
  ERR_EDIT_INCORRECTCURR   = $ED09;
  ERR_EDIT_INCORRECTFLOAT  = $ED10;
  ERR_EDIT_NEEDUNIQ        = $ED11;
  ERR_TREE_ILLIGALVALUE    = $ED12;
  ERR_GRID_EXCEPTONREFRESH = $ED13;
  ERR_BFLD_NOTFOLDER       = $ED14;
  ERR_MASK_MATCH           = $ED15;

  CM_DC_BASE          = WM_USER + $250;
  CM_THREAD_START     = CM_DC_BASE + $00;
  CM_THREAD_TERMINATE = CM_DC_BASE + $01;
  CM_THREAD_SETMODE   = CM_DC_BASE + $02;
  CM_THREAD_STOP      = CM_DC_BASE + $03;
  CM_THREAD_ITEMCLR   = CM_DC_BASE + $04;
  CM_THREAD_ITEMADD   = CM_DC_BASE + $05;
  CM_THREAD_SHOWBOX   = CM_DC_BASE + $06;
  CM_THREAD_HIDEBOX   = CM_DC_BASE + $07;
  CM_THREAD_LOCATED   = CM_DC_BASE + $08;
  CM_THREAD_FINDCMPLT = CM_DC_BASE + $09;
  CM_THREAD_FREEBOX   = CM_DC_BASE + $0A;
  CM_THREAD_ERROR     = CM_DC_BASE + $0B;
  CM_ERRORMESSAGE     = CM_DC_BASE + $0C;
  CM_POPUPWINDOW      = CM_DC_BASE + $0D;
  CM_INVALIDVALUE     = CM_DC_BASE + $0E;
  CM_KNOTCHANGED      = CM_DC_BASE + $0F;
  CM_SETALIGNMENT     = CM_DC_BASE + $10;
  CM_POPUPBUTTONCLK   = CM_DC_BASE + $11;
  CM_APPENDRECORD     = CM_DC_BASE + $12;
  CM_REDRAWTAB        = CM_DC_BASE + $13;
  CM_SETSELECTION     = CM_DC_BASE + $14;
  CM_CLOSEUP          = CM_DC_BASE + $15;
  CM_POPUPHINTINFO    = CM_DC_BASE + $16;

  GS_UPDATE_RECORDCOUNT  = CM_DC_BASE + $20;
  GS_UPDATE_STATE        = CM_DC_BASE + $21;
  GS_ERRORCODE           = CM_DC_BASE + $22;
  GS_PROCESS_TERMINATED  = CM_DC_BASE + $23;

  CM_TRAYICON            = CM_DC_BASE + $30;

  MODE_SHOWWINDOW  = $000000A0;
  MODE_HIDEWINDOW  = $000000A1;
  MODE_FREEWINDOW  = $000000A2;

  {System Images}
  DCGIM_SMALLICON  = $00000001;
  DCGIM_LARGEICON  = $00000002;

  nsiOverlay0      = $00000000;
  nsiOverlay1      = $00000001;
  nsiOverlay2      = $00000002;
  nsiOverlay3      = $00000003;
  nsiNormalCheck0  = $00000004;
  nsiNormalCheck1  = $00000005;
  nsiNormalCheckX  = $00000006;
  nsiShadowCheck0  = $00000007;
  nsiShadowCheck1  = $00000008;
  nsiShadowCheckX  = $00000009;

  MenuLineCaption  = '-';

type
  TCharSet         = set of Char;

  TEdgeStyle       = (esNone,esRaised,esSunken);
  TChoiceBtnStyle  = (btsForm, btsCombo, btsEllipsis, btsCustom);
  TDeleteType      = (dtBackSpace, dtDelete);
  TEventStyle      = (esNormal, esDropDown);
  TButtonState     = (btRest, btDownMouseInRect, btRestMouseInRect);
  TButtonStyle     = (stNormal, stFlat, stControlFlat, stShadowFlat,
                      stOutBar, stIcon, stNone, stSingle, stXPStyle);
  TAllignment      = (abLeft, abRight, abCenter, abImageTop, abImageBottom);
  TControlStyle    = (fcsNormal, fsFlat, fsNone, fsSingle);
  TAnchorStyle     = (asNone, asTR, asBL, asBR, asTLR, asBLR, asTBL, asTBR, asTBLR,
                      asTCn, asCnR);
  TDisableStyle    = (deNormal, deLite, deNone, deTrans);
  TDateConvertMode = (dcmOnlyDate, dcmDayWDate);
  TEdgeBorderStyle = (ebsNormal, ebsFlat, ebsNone, ebsShadowFlat);
  TDrawBorerState  = (dsUp, dsDown);
  TTransformStyle  = (tsDisable, tsSelect, tsNormal, tsInvert, tsTransparent, tsShadow, 
                      tsBlur, tsXPStyle);
  TNumericFormat   = (nmNone, nmInteger, nmDecimal, nmExponent, nmCurrency);
  TPackedDataType  = (daInteger, daFloat, daString);
  TDetailDataType  = (ddInteger, ddDate, ddFloat, ddCurrency, ddString);
  TEditDataType    = (deInteger, deFloat, deCurrency);
  TEditType        = (edEdit, edDate, edGrid, edChoice, edTree, edCombo, edCheck, edInfo);
  TWindowAlignment = (wpNone, wpBottomLeft, wpBottomRight, wpOffset, wpTopRight);
  TPopupBorderStyle= (brNone, brSingle, brRaised);
  TDialogStyle     = (dsSimple, dsInvalidValue, dsCustom);
  TClipFormValue   = (coHeader, coFooter);
  TCursorMode      = (cmResize, cmMove, cmNone, cmGrid, cmButtons, cmFooter);
  TJournalState    = (jsBrowse, jsEdit, jsLoad, jsSave, jsView);
  TRecordState     = (rsInserted, rsUpdated, rsNotChanged);
  TEditOption      = (eoCanEmpty, eoUnique, eoDropDown);
  TDateEditKind    = (dkDate, dkDateTime);
  TLiteTabPosition = (tbTop, tbBottom, tbLeft, tbRight);
  TTreeEditStyle   = (teDropDown, teDropDownList);
  TMessageStyle    = (msNormal, msRoundRect, msTail);
  TSelectMode      = (smSelect, smDeselect, smInverse);
  TBevelStyle      = (beNone, beLowered, beRaised, beFlat, beSingle);
  TClipPopupStyle  = (cpPopupMenu, cpToolBar);
  TDCDrawingStyle  = (dsNormal, dsFlat, dsXPStyle);
  TCloseUpEvent    = procedure (State: Byte; bPerform: boolean = False) of object;
  TChangingEvent   = procedure(Sender: TObject; var AllowChange: Boolean) of object;

implementation
 {$R *.RES}
end.










