{
 BUSINESS CONSULTING
 s a i n t - p e t e r s b u r g

         Components Library for Borland Delphi 4.x, 5.x
         Copyright (c) 1998-2001 Alex'EM

}
unit DCRegistry;

interface
{$I DCConst.inc}

uses
  Classes, 
  {$IFDEF DELPHI_V6}
    DesignIntf, DesignEditors, DesignWindows, VCLEditors,
  {$ELSE}
    Dsgnintf, DsgnWnds,
  {$ENDIF}
  Controls;

procedure Register;

implementation

uses
  DCResource, DCChoice, DCDBGrids, DCCapProp, DCTray, DCDBGridEdit,
  DCGridColEdit, DCColumnEdit, DCListColEdit, DCKnots, DCKnotColEdit,
  DCCombo, DCStdCtrls, DCOutBarEdit, DCEditButton, DCStringGrid, DCPageColEdit,
  DCFileCtrl {$IFDEF DELPHI_V5UP}, DCADOCtrl {$ENDIF}, DCChecklst, DCDataGrid,
  DCDataGridEdit;

procedure Register;
begin
  RegisterClass(TDCPage);
  RegisterClass(TDCOutBarPanel);
  RegisterClass(TDCPaleteBarPanel);

  RegisterComponents('DCsp Controls', [TDCEdit]);
  RegisterComponents('DCsp Controls', [TDCChoiceEdit]);
  RegisterComponents('DCsp Controls', [TDCDateEdit]);
  RegisterComponents('DCsp Controls', [TDCFloatEdit]);
  RegisterComponents('DCsp Controls', [TDCComboBox]);
  RegisterComponents('DCsp Controls', [TDCGridEdit]);
  RegisterComponents('DCsp Controls', [TDCTreeEdit]);
  RegisterComponents('DCsp Controls', [TDCDBGrid]);
  RegisterComponents('DCsp Controls', [TDCLabel]);
  RegisterComponents('DCsp Controls', [TDCHeaderPanel]);
  RegisterComponents('DCsp Controls', [TDCTreeGrid]);
  RegisterComponents('DCsp Controls', [TDCOutBar]);
  RegisterComponents('DCsp Controls', [TDCPageControl]);

//  RegisterComponents('DCsp Controls', [TDCCustomFormEdit]);

  RegisterPropertyEditor(TypeInfo(String), TDCCustomGridEdit, 'DataField', TDCGridFieldEdit);
  RegisterPropertyEditor(TypeInfo(String), TDCCustomGridEdit, 'KeyField' , TDCGridFieldEdit);
  RegisterPropertyEditor(TypeInfo(String), TDCCustomGridEdit, 'InfoField' , TDCGridFieldEdit);

  RegisterComponents('DCsp Controls', [TDCTrayIcon]);

  RegisterPropertyEditor(TypeInfo(String), TColumn, 'FieldName', TDBGridDataField);
  RegisterPropertyEditor(TypeInfo(String), TColumn, 'Comment', TCapProperty);
  RegisterPropertyEditor(TypeInfo(String), TColumnTitle, 'Caption', TCapProperty);
  RegisterPropertyEditor(TypeInfo(String), TControl, 'Hint', TCapProperty);
  RegisterPropertyEditor(TypeInfo(String), TDCCustomEdit, 'ErrorHint', TCapProperty);
  RegisterPropertyEditor(TypeInfo(String), TDCTrayIcon, 'Hint', TCapProperty);
  RegisterPropertyEditor(TypeInfo(TCaptionProperty), TDCCustomLabel, 'Caption', TCapProperty);
  RegisterPropertyEditor(TypeInfo(TCaptionProperty), TDCCustomPanel, 'Caption', TCapProperty);

  RegisterComponentEditor(TDCDBGrid, TGridColEditor);
  RegisterComponentEditor(TDCCustomGridEdit, TColumnsEditor);
  RegisterComponentEditor(TDCTreeGrid, TKnotColEditor);
  RegisterComponentEditor(TDCCustomLabel, TCapEditor);
  RegisterComponentEditor(TDCCustomPanel, TCapEditor);

  RegisterPropertyEditor(TypeInfo(TDBGridColumns), TDCDBGrid  , 'Columns', TGridColProperty);
  RegisterPropertyEditor(TypeInfo(TDBGridColumns), TDCCustomGridEdit, 'Columns', TColumnsProperty);
  RegisterPropertyEditor(TypeInfo(TKnotColumns)  , TDCTreeGrid, 'Columns', TKnotColProperty);
  RegisterPropertyEditor(TypeInfo(TDBGridColumns), TDCCustomGridEdit, 'ListBoxColumns', TListColProperty);
  RegisterPropertyEditor(TypeInfo(TDCEditButtons), TDCCustomOutBarPanel, 'Items', TOutPanelProperty);
  RegisterPropertyEditor(TypeInfo(String), TDCCustomGridEdit, 'SQLText', TCapProperty);
  RegisterPropertyEditor(TypeInfo(TKnotColumns)  , TDCDataGrid, 'Columns', TKnotColProperty);

  RegisterPropertyEditor(TypeInfo(String), TKnotColumn, 'Comment', TCapProperty);
  RegisterPropertyEditor(TypeInfo(String), TKnotColumnTitle, 'Caption', TCapProperty);

  RegisterComponents('DCsp Additional', [TDCColorComboBox]);
  RegisterComponents('DCsp Additional', [TDCFontComboBox]);
  RegisterComponents('DCsp Additional', [TDCStringGrid]);
  RegisterComponents('DCsp Additional', [TDCBrowseFolder]);
  RegisterComponents('DCsp Additional', [TDCPaleteBar]);
  RegisterComponents('DCsp Additional', [TDCListComboBox]);
  RegisterComponents('DCsp Additional', [TDCDataGrid]);

  RegisterComponentEditor(TDCCustomPage, TPageControlEditor);
  RegisterComponentEditor(TDCCustomPageControl, TPageControlEditor);
  RegisterComponentEditor(TDCOutBar, TOutBarEditor);
  RegisterComponentEditor(TDCCustomOutBarPanel, TOutPanelEditor);
  RegisterComponentEditor(TDCCustomDataGrid, TDataGridEditor);

  RegisterPropertyEditor(TypeInfo(TDCCustomPage), TDCCustomPageControl, 'ActivePage', TActivePageField);
  RegisterPropertyEditor(TypeInfo(TDataFields), TDCCustomDataGrid, 'DataFields', TDataFieldsProperty);
  RegisterPropertyEditor(TypeInfo(String), TDataColumn, 'FieldName', TDataGridDataField);

  RegisterComponentEditor(TDCPaleteBar, TPaleteBarEditor);

  {$IFDEF DELPHI_V5UP}
  RegisterComponents('DCsp Additional', [TDCADOGridEdit]);
  {$ENDIF}
  
  RegisterNoIcon([TDataField]);
  RegisterDataFields;
end;

end.
